﻿namespace CachedRepository.DataAccess.UserProfiles
{
	using CachedRepository.Models;
	using System;

	public class EFUserProfileRepository : IUserProfileRepository
	{
		public UserProfile Get(int id)
		{
			Console.WriteLine(string.Format("Loading user {0} from DB", id));
			return new UserProfile() { Id = id };
		}

		public void Update(UserProfile profile)
		{
			Console.WriteLine(string.Format("Updating user {0} profile", profile.Id));
		}
	}
}
